osl::stat::TwoDimensionalStatistics::Data Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::stat::TwoDimensionalStatistics::Data Class Reference
Collaboration diagram for osl::stat::TwoDimensionalStatistics::Data:
[legend]

## Public Member Functions
void | add (const double &x, const double &y)
void | merge (const Data &r)
void | clear ()

## Public Attributes
Average | m_x
Average | m_y
Average | m_x2
Average | m_y2
Average | m_xy

## Detailed Description

Definition at line 7 of file twoDimensionalStatistics.cc.

## Member Function Documentation

void osl::stat::TwoDimensionalStatistics::Data::add | ( | const double & | x,
|  | const double & | y
| ) |  |
| inline

Definition at line 13 of file twoDimensionalStatistics.cc.

References osl::stat::Average::add(), m_x, m_x2, m_xy, m_y, and m_y2.

void osl::stat::TwoDimensionalStatistics::Data::clear | ( | ) |  |
| inline

Definition at line 29 of file twoDimensionalStatistics.cc.

References osl::stat::Average::clear(), m_x, m_x2, m_xy, m_y, and m_y2.

void osl::stat::TwoDimensionalStatistics::Data::merge | ( | const Data & | r) |  |
| inline

Definition at line 21 of file twoDimensionalStatistics.cc.

References m_x, m_x2, m_xy, m_y, m_y2, and osl::stat::Average::merge().

## Member Data Documentation

Average osl::stat::TwoDimensionalStatistics::Data::m_x

Definition at line 10 of file twoDimensionalStatistics.cc.

Referenced by add(), clear(), and merge().

Average osl::stat::TwoDimensionalStatistics::Data::m_x2

Definition at line 10 of file twoDimensionalStatistics.cc.

Referenced by add(), clear(), and merge().

Average osl::stat::TwoDimensionalStatistics::Data::m_xy

Definition at line 10 of file twoDimensionalStatistics.cc.

Referenced by add(), clear(), and merge().

Average osl::stat::TwoDimensionalStatistics::Data::m_y

Definition at line 10 of file twoDimensionalStatistics.cc.

Referenced by add(), clear(), and merge().

Average osl::stat::TwoDimensionalStatistics::Data::m_y2

Definition at line 10 of file twoDimensionalStatistics.cc.

Referenced by add(), clear(), and merge().

The documentation for this class was generated from the following file:

- twoDimensionalStatistics.cc